package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.RoleMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (RoleMenu)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-27 15:21:33
 */
@Mapper
public interface RoleMenuMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    RoleMenu selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<RoleMenu> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param roleMenu 实例对象
     * @return 对象列表
     */
    List<RoleMenu> selectList(RoleMenu roleMenu);

    /**
     * 新增数据
     *
     * @param roleMenu 实例对象
     * @return 影响行数
     */
    int insert(RoleMenu roleMenu);

    /**
     * 批量新增
     *
     * @param roleMenus 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("roleMenus") List<RoleMenu> roleMenus);

    /**
     * 修改数据
     *
     * @param roleMenu 实例对象
     * @return 影响行数
     */
    int update(RoleMenu roleMenu);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<RoleMenu> selectPage(IPage<RoleMenu> page, RoleMenu roleMenu);

}